Bug 196814 - sysutils/bbcp [MAINTAINER UPDATE] upgrade 21050113 --> 20150116
Summary: sysutils/bbcp [MAINTAINER UPDATE] upgrade 21050113 --> 20150116
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-17 02:23 UTC by Chris Hutchinson
Modified: 2016-01-18 09:38 UTC (History)
2 users (show)

See Also:


Attachments
sysutils/bbcp svn diff (24.47 KB, patch)
2015-01-17 02:23 UTC, Chris Hutchinson
no flags Details | Diff
requisite QA session (12.83 KB, text/plain)
2015-01-17 02:24 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-01-17 02:23:34 UTC
Created attachment 151752 [details]
sysutils/bbcp svn diff

sysutils/bbcp

This version involved alot of work to make gcc/clang happier.
Also contains a couple of small but *important* changes.

Modifies
Malkefile - PORTVERSION
distinfo
pkg-descr - adds one line
files/patch-src__bbcp_BuffPool.C
files/patch-src__bbcp_File.C

Adds
files/patch-src__bbcp_Args.C
files/patch-src__bbcp_Config.C
files/patch-src__bbcp_FileSpec.C
files/patch-src__bbcp_Node.C
files/patch-src__bbcp_ProcMon.C
files/patch-src__bbcp_ProgMon.C
files/patch-src__bbcp_Protocol.C

It was alot of work, but worth it, for anyone that uses it.

Please find the svn diff attached, that reflects the changes,
and additions.

Please also find the requisite QA session, also attached.

Thanks for all your time, and consideration.

--Chris
Comment 1 Chris Hutchinson 2015-01-17 02:24:36 UTC
Created attachment 151753 [details]
requisite QA session
Comment 2 Chris Hutchinson 2015-01-17 02:25:27 UTC
(In reply to Chris Hutchinson from comment #0)
I'm the MAINTAINER, and I approve this patch. :)

--Chris
Comment 3 Chris Hutchinson 2015-01-23 20:28:24 UTC
Would someone with a commit bit, please address this pr(1)?
There is a new pr against this port, that this new version
should address.
The new pr(1) is 197035:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197035

Thank you for all your time, and consideration.

--Chris
Comment 4 commit-hook freebsd_committer 2015-02-24 10:59:28 UTC
A commit references this bug:

Author: robak
Date: Tue Feb 24 10:59:02 UTC 2015
New revision: 379778
URL: https://svnweb.freebsd.org/changeset/ports/379778

Log:
  www/foswiki: update 1.1.6 -> 1.1.9

  - Change MAINTAINER to portmaster@bsdforge.com

  PR:		196814
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/distinfo
  head/www/foswiki/pkg-plist
Comment 5 Bartek Rutkowski freebsd_committer 2015-02-24 11:03:46 UTC
(In reply to commit-hook from comment #4)

This was a mistake on my side, the ebove commit message is in regards to PR 195726. Sorry about that!
Comment 6 commit-hook freebsd_committer 2015-02-24 11:27:33 UTC
A commit references this bug:

Author: robak
Date: Tue Feb 24 11:27:09 UTC 2015
New revision: 379783
URL: https://svnweb.freebsd.org/changeset/ports/379783

Log:
  sysutils/bbcp: update 20150113 -> 20150116

  - Add LICENSE_FILE
  - Change pkg-descr

  PR:		196814
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/sysutils/bbcp/Makefile
  head/sysutils/bbcp/distinfo
  head/sysutils/bbcp/files/patch-src__bbcp_Args.C
  head/sysutils/bbcp/files/patch-src__bbcp_BuffPool.C
  head/sysutils/bbcp/files/patch-src__bbcp_Config.C
  head/sysutils/bbcp/files/patch-src__bbcp_File.C
  head/sysutils/bbcp/files/patch-src__bbcp_FileSpec.C
  head/sysutils/bbcp/files/patch-src__bbcp_Node.C
  head/sysutils/bbcp/files/patch-src__bbcp_ProcMon.C
  head/sysutils/bbcp/files/patch-src__bbcp_ProgMon.C
  head/sysutils/bbcp/files/patch-src__bbcp_Protocol.C
  head/sysutils/bbcp/files/patch-src__bbcp_Pthread.C
  head/sysutils/bbcp/files/patch-src__bbcp_Pthread.h
  head/sysutils/bbcp/files/patch-src__bbcp_Stream.C
  head/sysutils/bbcp/files/patch-src__bbcp_System.C
  head/sysutils/bbcp/files/patch-src__bbcp_ZCX.C
  head/sysutils/bbcp/pkg-descr
Comment 7 Bartek Rutkowski freebsd_committer 2015-02-24 11:30:15 UTC
Committed with small changes (please see the port), thanks for your work!
Comment 8 Chris Hutchinson 2015-02-24 15:00:54 UTC
(In reply to Bartek Rutkowski from comment #7)
> Committed with small changes (please see the port), thanks for your work!

Thank you, Bartek Rutkowski! :-)

--Chris